set -g fish_greeting
set -g fish_key_bindings hybrid_bindings
set -g fish_escape_delay_ms 300
set -g fish_cursor_unknown block

set -g fish_color_autosuggestion 303030
set -g fish_color_command 205cb3
set -g fish_color_comment 6600cc
set -g fish_color_cwd 209060
set -g fish_color_end 730099
set -g fish_color_host 176945
set -g fish_color_jobs --bold yellow
set -g fish_color_operator cc6fdf
set -g fish_color_param 3377cf
set -g fish_color_quote ff751a
set -g fish_color_redirection bf4080
set -g fish_color_search_match ffff00
set -g fish_color_selection c0c0c0
set -g fish_color_status --bold red
set -g fish_color_suffix 29bc7d
set -g fish_color_user 00ff00
set -g fish_color_valid_path normal
set -g fish_color_vcs 43d696
set -g fish_color_vcs_braces 29bc7d

set -g fish_normal_user js

test -n "$XDG_CONFIG_HOME"
or set -x XDG_CONFIG_HOME $HOME/.config
test -n "$XDG_CACHE_HOME"
or set -x XDG_CACHE_HOME $HOME/.cache
test -n "$XDG_DATA_HOME"
or set -x XDG_DATA_HOME $HOME/.local/share

set -x EDITOR vim
set -x VIMINIT "source $XDG_CONFIG_HOME/vim/vimrc"
set -x LS_COLORS 'di=34:ow=44;37:tw=44;37:st=44;37:ex=31:su=7;31:sg=7;31:ln=33:or=7;33:pi=32:do=32:bd=35:cd=35:so=32:*.bz2=36:*.dmg=36:*.gz=36:*.gpg=36:*.rar=36:*.tar=36:*.tbz2=36:*.tgz=36:*.xz=36:*.zip=36:*.orig=90:*~=90'
set -x SUDO_PROMPT (printf "\033[0;31m[\033[1;31msudo -> %%U\033[0;31m]\033[0m Password for \033[1m%%p@%%H\033[0m: ")
set -x GNUPGHOME $XDG_DATA_HOME/gnupg
set -x CVS_RSH ssh
